summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Edinaldo P. Silva2015-05-29 17:40:47 +0200
committer Willy Sudiarto Raharjo2015-05-31 05:36:21 +0200
commitafcad85262f119e8b48a533c6f5e61086fa77b5a (patch)
tree786197b7f3c28c09665bc842eb894847edd5f6f2 /desktop
parent8bf9264ee569b8936bb76c3dd74f9269ad8730ba (diff)
downloadslackbuilds-afcad85262f119e8b48a533c6f5e61086fa77b5a.tar.gz
desktop/xipper: Added (GUI for extract-xiso).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/xipper/README6
-rw-r--r--desktop/xipper/doinst.sh13
-rw-r--r--desktop/xipper/slack-desc19
-rw-r--r--desktop/xipper/xipper.SlackBuild89
-rw-r--r--desktop/xipper/xipper.desktop11
-rw-r--r--desktop/xipper/xipper.info10
-rw-r--r--desktop/xipper/xipper.pngbin0 -> 6986 bytes
7 files changed, 148 insertions, 0 deletions
diff --git a/desktop/xipper/README b/desktop/xipper/README
new file mode 100644
index 0000000000..3819b8d471
--- /dev/null
+++ b/desktop/xipper/README
@@ -0,0 +1,6 @@
+xipper (A simple GUI for extract-xiso tool)
+
+It's a simple GUI for extract-xiso tool for Linux.
+
+Through extract-xiso you'll can extract a XBOX360 ISO to get a rip folder compatible with JTAG and RGH.
+The program let you also to optimize an ISO for JTAG/RGH and also to create an ISO from a JTAG/RGH rip folder.
diff --git a/desktop/xipper/doinst.sh b/desktop/xipper/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/xipper/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/xipper/slack-desc b/desktop/xipper/slack-desc
new file mode 100644
index 0000000000..fba65dde19
--- /dev/null
+++ b/desktop/xipper/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xipper: xipper (A simple GUI for extract-xiso tool)
+xipper:
+xipper: Xipper it's a simple GUI for extract-xiso tool for Linux.
+xipper:
+xipper: Home page: http://www.redsquirrel87.com/Xipper.html/
+xipper:
+xipper:
+xipper:
+xipper:
+xipper:
+xipper:
diff --git a/desktop/xipper/xipper.SlackBuild b/desktop/xipper/xipper.SlackBuild
new file mode 100644
index 0000000000..43f7d4f994
--- /dev/null
+++ b/desktop/xipper/xipper.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+#
+# Slackware build script for xipper.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xipper
+SRCNAM=Xipper
+VERSION=${VERSION:-2.0.1}
+SRCVER=${SRCVER:-2.0-1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+tar xvf $CWD/${SRCNAM}_${SRCVER}_bin.tar.gz -C $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -d $PKG/usr/share/{applications,pixmaps}
+install -D -m644 $CWD/xipper.desktop $PKG/usr/share/applications/xipper.desktop
+install -D -m644 $CWD/xipper.png $PKG/usr/share/pixmaps/xipper.png
+install -d $PKG/usr/bin
+install -D -m755 xipper.gambas $PKG/usr/bin/xipper.gambas
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/xipper/xipper.desktop b/desktop/xipper/xipper.desktop
new file mode 100644
index 0000000000..1aaba7c682
--- /dev/null
+++ b/desktop/xipper/xipper.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Name=Xipper
+Version=1.0
+Encoding=UTF-8
+Comment=A simple GUI for extract-xiso tool
+Exec=xipper.gambas
+Icon=xipper
+StartupNotify=true
+Terminal=false
+Type=Application
+Categories=Game;
diff --git a/desktop/xipper/xipper.info b/desktop/xipper/xipper.info
new file mode 100644
index 0000000000..77d69bc8aa
--- /dev/null
+++ b/desktop/xipper/xipper.info
@@ -0,0 +1,10 @@
+PRGNAM="xipper"
+VERSION="2.0.1"
+HOMEPAGE="http://www.redsquirrel87.com/Xipper.html"
+DOWNLOAD="https://bitbucket.org/Red_Squirrel/xipper/downloads/Xipper_2.0-1_bin.tar.gz"
+MD5SUM="7898f029603008ffa1389899a342b703"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gambas3 extract-xiso"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/xipper/xipper.png b/desktop/xipper/xipper.png
new file mode 100644
index 0000000000..27d4223df1
--- /dev/null
+++ b/desktop/xipper/xipper.png
Binary files differ